## org.eclipse.m2m.atl.profiler.ui.profilingdatatable
Class ProfilingDataTableLabelProvider

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
          org.eclipse.m2m.atl.profiler.ui.profilingdatatable.ProfilingDataTableLabelProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.INotifyChangedListener, org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider, org.eclipse.jface.viewers.ITableLabelProvider

    public class ProfilingDataTableLabelProvider

extends org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
implements org.eclipse.jface.viewers.ITableLabelProvider

A label provider for the data table.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
`org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.ColorProvider, org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.FontAndColorProvider, org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.FontProvider`

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
`adapterFactory, defaultBackground, defaultFont, defaultForeground, isFireLabelUpdateNotifications, labelProviderListeners`

Constructor Summary
`ProfilingDataTableLabelProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)` Creates a label provider using the given factory.

Method Summary
`org.eclipse.swt.graphics.Image` `getColumnImage(java.lang.Object element, int columnIndex)`
`java.lang.String` `getColumnText(java.lang.Object element, int columnIndex)`

Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

`addListener, dispose, fireLabelProviderChanged, getAdapterFactory, getBackground, getBackground, getColorFromObject, getDefaultBackground, getDefaultFont, getDefaultForeground, getDefaultImage, getFont, getFont, getFontFromObject, getForeground, getForeground, getImage, getImageFromObject, getText, isFireLabelUpdateNotifications, isLabelProperty, notifyChanged, removeListener, setAdapterFactory, setDefaultBackground, setDefaultFont, setDefaultForeground, setFireLabelUpdateNotifications`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Constructor Detail

### ProfilingDataTableLabelProvider

    public ProfilingDataTableLabelProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

  Creates a label provider using the given factory.

  Parameters:
    `adapterFactory` - the adapter factory

Method Detail

### getColumnText

    public java.lang.String getColumnText(java.lang.Object element,
                                          int columnIndex)

  Specified by:
    `getColumnText` in interface `org.eclipse.jface.viewers.ITableLabelProvider`
  Overrides:
    `getColumnText` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider`
  See Also:
    `AdapterFactoryLabelProvider.getColumnText(java.lang.Object, int)`

### getColumnImage

    public org.eclipse.swt.graphics.Image getColumnImage(java.lang.Object element,
                                                         int columnIndex)

  Specified by:
    `getColumnImage` in interface `org.eclipse.jface.viewers.ITableLabelProvider`
  Overrides:
    `getColumnImage` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider`
  See Also:
    `AdapterFactoryLabelProvider.getColumnImage(java.lang.Object, int)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.